Subject: [TR] How many TR4s are there?

From: "Jim Vassiliadis" <[email-masked]>
Date: Thu, 29 Nov 2012 08:44:17 +1300

A bit of progress at last.
 
My 1962 TR4 is back in my garage after being stored in my mothers garage.
After removing the engine to have it recond and taking some of the car apart
I ended up doing very little on my car.
The engine has been recond (only did 20,000miles on the previous recond) and
the car now sits in my own garage with my wifes Honda del Sol CRX on the car
pad.
I have started to work on it again.
I need to brush up on my welding skills.
My excuse is that I was busy painting my house and starting up my new
business.
Heres hoping I continue as I miss driving my TR4.
Its a 1962 with the original engine and box.
 
Jim and the black TR4.

** [email-masked] **

Archive: http://www.team.net/archive